GET /v1/tags/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Tags
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Tags.get_versions("68ec158c-5f5e-4277-8a19-5e9e0cd5294f")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
tag_v1 = Tags.get_specific_version(
"68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
"0.1"
)
print(f"Original description: {tag_v1.description}")
import static org.openmetadata.sdk.fluent.Tags.*;
// List all versions
var history = Tags.getVersions("68ec158c-5f5e-4277-8a19-5e9e0cd5294f");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Tags.getSpecificVersion(
"68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "tag",
"versions": [
"{\"id\":\"68ec158c-5f5e-4277-8a19-5e9e0cd5294f\",\"name\":\"Bronze\",\"fullyQualifiedName\":\"Certification.Bronze\",\"version\":0.2,\"description\":\"Updated description\",\"style\":{\"color\":\"#D4A017\"}}",
"{\"id\":\"68ec158c-5f5e-4277-8a19-5e9e0cd5294f\",\"name\":\"Bronze\",\"fullyQualifiedName\":\"Certification.Bronze\",\"version\":0.1,\"description\":\"Bronze certified Data Asset.\",\"style\":{\"color\":\"#C08320\"}}"
]
}
Tag Versions
List and retrieve historical versions of a tag
GET
/
v1
/
tags
/
{id}
/
versions
GET /v1/tags/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Tags
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Tags.get_versions("68ec158c-5f5e-4277-8a19-5e9e0cd5294f")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
tag_v1 = Tags.get_specific_version(
"68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
"0.1"
)
print(f"Original description: {tag_v1.description}")
import static org.openmetadata.sdk.fluent.Tags.*;
// List all versions
var history = Tags.getVersions("68ec158c-5f5e-4277-8a19-5e9e0cd5294f");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Tags.getSpecificVersion(
"68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "tag",
"versions": [
"{\"id\":\"68ec158c-5f5e-4277-8a19-5e9e0cd5294f\",\"name\":\"Bronze\",\"fullyQualifiedName\":\"Certification.Bronze\",\"version\":0.2,\"description\":\"Updated description\",\"style\":{\"color\":\"#D4A017\"}}",
"{\"id\":\"68ec158c-5f5e-4277-8a19-5e9e0cd5294f\",\"name\":\"Bronze\",\"fullyQualifiedName\":\"Certification.Bronze\",\"version\":0.1,\"description\":\"Bronze certified Data Asset.\",\"style\":{\"color\":\"#C08320\"}}"
]
}
Tag Versions
Every change to a tag entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the tag.
Get Specific Version
UseGET /v1/tags/{id}/versions/{version} to retrieve a specific version.
UUID of the tag.
Version number to retrieve (e.g.,
0.2).GET /v1/tags/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Tags
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Tags.get_versions("68ec158c-5f5e-4277-8a19-5e9e0cd5294f")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
tag_v1 = Tags.get_specific_version(
"68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
"0.1"
)
print(f"Original description: {tag_v1.description}")
import static org.openmetadata.sdk.fluent.Tags.*;
// List all versions
var history = Tags.getVersions("68ec158c-5f5e-4277-8a19-5e9e0cd5294f");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Tags.getSpecificVersion(
"68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/tags/68ec158c-5f5e-4277-8a19-5e9e0cd5294f/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "tag",
"versions": [
"{\"id\":\"68ec158c-5f5e-4277-8a19-5e9e0cd5294f\",\"name\":\"Bronze\",\"fullyQualifiedName\":\"Certification.Bronze\",\"version\":0.2,\"description\":\"Updated description\",\"style\":{\"color\":\"#D4A017\"}}",
"{\"id\":\"68ec158c-5f5e-4277-8a19-5e9e0cd5294f\",\"name\":\"Bronze\",\"fullyQualifiedName\":\"Certification.Bronze\",\"version\":0.1,\"description\":\"Bronze certified Data Asset.\",\"style\":{\"color\":\"#C08320\"}}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full tag object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Tag or version does not exist |
Was this page helpful?
⌘I